use std::sync::Arc;

use axum::{extract::State, response::IntoResponse};

use crate::{state::AppState, templates::{Page, PageData}};

pub async fn index(State(state): State<Arc<AppState>>) -> impl IntoResponse {
    Page::new(state.hbs.render::<PageData>("index.hbs", &Default::default()))
}
